Health

System status

AuthBearer (JWT)
GroupHealth
Rate limitSee Rate Limits
GET/api/status

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, HealthApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const health = new HealthApi(configuration);
import { Configuration, HealthApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const health = new HealthApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await health.systemStatus();
const { data: result } = await health.systemStatus();

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Responses

200Detailed system status
json
{
  "success": true,
  "data": {
    "uptime": 86400,
    "memory": {
      "used": 2147483648,
      "total": 4294967296,
      "percentage": 50
    },
    "cpu": {
      "usage": 12.5
    },
    "services": {
      "database": "operational",
      "redis": "operational",
      "storage": "operational",
      "messaging": "operational"
    }
  }
}
{
  "success": true,
  "data": {
    "uptime": 86400,
    "memory": {
      "used": 2147483648,
      "total": 4294967296,
      "percentage": 50
    },
    "cpu": {
      "usage": 12.5
    },
    "services": {
      "database": "operational",
      "redis": "operational",
      "storage": "operational",
      "messaging": "operational"
    }
  }
}
Edit this page on GitHub